1

I've installed Ubuntu 14.04 yesterday and all it's updates as well as I read many solutions on Google for how to get Ubuntu to detect your WiFi card and nothing worked, probably because my WiFi card differs from others' I was able to identify the WiFi card model by writing this on terminal: "lshw -C network"

and this is the model description:

"*-network UNCLAIMED
       description: Network controller
       product: QCA6164 802.11ac Wireless Network Adapter
       vendor: Qualcomm Atheros
       physical id: 0
       bus info: pci@0000:03:00.0
       version: 20
       width: 64 bits
       clock: 33MHz
       capabilities: bus_master cap_list
       configuration: latency=0
       resources: memory:f0800000-f09fffff"

I was not able in no way to get it working, I tried the additional drivers option it didn't show any unknown driver except for AMD graphic card, I can only access the Internet by Wire or Bluetooth. And yes Ubuntu is up to date I'm clueless about if there's any extras I should be downloading.

Thanks in advance!

3

2 Answers 2

2

According to the Linux Wireless wiki, you need to have a kernel version of 4.3 or later for this wireless card to work. Your current kernel is probably 3.19, since you're on a fresh install of 14.04. In a terminal, type this to see your current kernel version:

uname -r

Assuming that you have an ethernet connection, you can install kernel version 4.4 by running this command in the terminal:

sudo apt-get install linux-generic-lts-xenial

Once the kernel install finishes, restart your computer, then follow these instructions from this bug report:

1) Get the latest firmware from https://github.com/kvalo/ath10k-firmware/archive/master.zip

2) Unzip this file, and copy the contents of ath10k-firmware-master to /lib/firmware/ath10k.

3) Rename two of the firmware files like so:

cd /lib/firmware/QCA6174/hw2.1
sudo mv firmware-5.bin_SW_RM.1.1.1-00157-QCARMSWPZ-1 firmware-5.bin
cd /lib/firmware/QCA6174/hw3.0
sudo mv firmware-4.bin_WLAN.RM.2.0-00180-QCARMSWPZ-1 firmware-4.bin

4) Reboot your computer. Run "lshw -C network" to see if your card is recognized.

15
  • Kernel 4.2 does not support this adapter.
    – Pilot6
    Apr 8, 2016 at 20:18
  • But 4.4 does. linux-generic-lts-xenial with appropriate firmware. But that can cause problems for a newbie.
    – Pilot6
    Apr 8, 2016 at 20:20
  • Can you provide a source for your information? The link I supplied does state that the 4.2 kernel supports the adapter, but you are correct that additional firmware needs to be installed, and I failed to communicate that. I will add it to my answer.
    – blendenzo
    Apr 8, 2016 at 20:22
  • Just look into the source code and you will see that ath10k in ubuntu-wily does not support it.
    – Pilot6
    Apr 8, 2016 at 20:27
  • The xenial kernel will do, but it may cause some problems with building graphics drivers like Nvidia or AMD on trusty. But regarding Wi-Fi it should work, if you stated all correct regarding the firmware.
    – Pilot6
    Apr 8, 2016 at 20:31
0

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1436940 contains all the info you need to fix it

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.